#!/usr/bin/python3

from urllib.request import urlopen, Request
import html
import argparse

# Construct the argument parser
parser = argparse.ArgumentParser()
parser.add_argument("--url", help="specify URL")
args = parser.parse_args()
url = args.url

if url is None:
    print("No URL specified.")
    quit()


def findTitle(url):
    webpage = urlopen(Request(url, headers={'User-Agent': 'Mozilla'})).read()
    title = str(webpage).split('<title>')[1].split('</title>')[0]
    html_decoded_string = html.unescape(title)
    return html_decoded_string


print(findTitle(url))
